org.deidentifier.arx.risk

## Class RiskEstimateBuilderInterruptible

- java.lang.Object
- - org.deidentifier.arx.risk.RiskEstimateBuilderInterruptible

    public class RiskEstimateBuilderInterruptible
    extends java.lang.Object

A builder for risk estimates, interruptible

Author:
  Fabian Prasser, Maximilian Zitzmann

### Method Summary

All Methods Instance Methods Concrete Methods
`RiskModelAttributes` `getAttributeRisks()` Returns a class providing access to an analysis of potential quasi-identifiers using the concepts of alpha distinction and alpha separation.
`RiskModelHistogram` `getEquivalenceClassModel()` Returns a model of the equivalence classes in this data set
`HIPAAIdentifierMatch[]` `getHIPAAIdentifiers()` Returns a class providing access to the identifier HIPAA identifiers.
`RiskModelPopulationUniqueness` `getPopulationBasedUniquenessRisk()` Returns a class providing population-based uniqueness estimates
`int` `getProgress()` If supported by the according builder, this method will report a progress value in [0,100].
`RiskModelSampleRisks` `getSampleBasedReidentificationRisk()` Returns a class providing sample-based re-identification risk estimates
`RiskModelSampleRiskDistribution` `getSampleBasedRiskDistribution()` Returns a class representing the distribution of prosecutor risks in the sample
`RiskModelSampleSummary` `getSampleBasedRiskSummary(double threshold)` Returns a risk summary
`RiskModelSampleSummary` `getSampleBasedRiskSummary(double threshold, java.lang.String suppressed)` Returns a risk summary
`RiskModelSampleWildcard` `getSampleBasedRiskSummaryWildcard(double threshold)` Returns a risk summary, using wildcard matching. "*" will be interpreted as a wildcard
`RiskModelSampleWildcard` `getSampleBasedRiskSummaryWildcard(double threshold, java.lang.String wildcard)` Returns a risk summary, using wildcard matching
`RiskModelSampleUniqueness` `getSampleBasedUniquenessRisk()` Returns a class providing sample-based uniqueness estimates
`void` `interrupt()` Interrupts all computations.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAttributeRisks

    public RiskModelAttributes getAttributeRisks()
                                          throws java.lang.InterruptedException

Returns a class providing access to an analysis of potential quasi-identifiers using the concepts of alpha distinction and alpha separation.

Returns:
  the RiskModelAttributes data from risk analysis
Throws:
  `java.lang.InterruptedException`

#### getEquivalenceClassModel

    public RiskModelHistogram getEquivalenceClassModel()
                                                throws java.lang.InterruptedException

Returns a model of the equivalence classes in this data set

Returns:
Throws:
  `java.lang.InterruptedException`

#### getHIPAAIdentifiers

    public HIPAAIdentifierMatch[] getHIPAAIdentifiers()
                                               throws java.lang.InterruptedException

Returns a class providing access to the identifier HIPAA identifiers.

Returns:
Throws:
  `java.lang.InterruptedException`

#### getPopulationBasedUniquenessRisk

    public RiskModelPopulationUniqueness getPopulationBasedUniquenessRisk()
                                                                   throws java.lang.InterruptedException

Returns a class providing population-based uniqueness estimates

Returns:
Throws:
  `java.lang.InterruptedException`

#### getProgress

    public int getProgress()

If supported by the according builder, this method will report a progress value in [0,100]. Otherwise, it will always return 0

Returns:

#### getSampleBasedReidentificationRisk

    public RiskModelSampleRisks getSampleBasedReidentificationRisk()
                                                            throws java.lang.InterruptedException

Returns a class providing sample-based re-identification risk estimates

Returns:
Throws:
  `java.lang.InterruptedException`

#### getSampleBasedRiskDistribution

    public RiskModelSampleRiskDistribution getSampleBasedRiskDistribution()
                                                                   throws java.lang.InterruptedException

Returns a class representing the distribution of prosecutor risks in the sample

Returns:
Throws:
  `java.lang.InterruptedException`

#### getSampleBasedRiskSummary

    public RiskModelSampleSummary getSampleBasedRiskSummary(double threshold)
                                                     throws java.lang.InterruptedException

Returns a risk summary

Parameters:
  `threshold` - Acceptable highest probability of re-identification for a single record. Please note that this threshold may be exceeded by up to 1% due to rounding issues.
Returns:
Throws:
  `java.lang.InterruptedException`

#### getSampleBasedRiskSummary

    public RiskModelSampleSummary getSampleBasedRiskSummary(double threshold,
                                                            java.lang.String suppressed)
                                                     throws java.lang.InterruptedException

Returns a risk summary

Parameters:
  `threshold` - Acceptable highest probability of re-identification for a single record. Please note that this threshold may be exceeded by up to 1% due to rounding issues.
  `suppressed` -
Returns:
Throws:
  `java.lang.InterruptedException`

#### getSampleBasedRiskSummaryWildcard

    public RiskModelSampleWildcard getSampleBasedRiskSummaryWildcard(double threshold)
                                                              throws java.lang.InterruptedException

Returns a risk summary, using wildcard matching. "*" will be interpreted as a wildcard

Parameters:
  `threshold` - Acceptable highest probability of re-identification for a single record. Please note that this threshold may be exceeded by up to 1% due to rounding issues.
Returns:
Throws:
  `java.lang.InterruptedException`

#### getSampleBasedRiskSummaryWildcard

    public RiskModelSampleWildcard getSampleBasedRiskSummaryWildcard(double threshold,
                                                                     java.lang.String wildcard)
                                                              throws java.lang.InterruptedException

Returns a risk summary, using wildcard matching

Parameters:
  `threshold` - Acceptable highest probability of re-identification for a single record. Please note that this threshold may be exceeded by up to 1% due to rounding issues.
  `wildcard` - String to interpret as a wildcard
Returns:
Throws:
  `java.lang.InterruptedException`

#### getSampleBasedUniquenessRisk

    public RiskModelSampleUniqueness getSampleBasedUniquenessRisk()
                                                           throws java.lang.InterruptedException

Returns a class providing sample-based uniqueness estimates

Returns:
Throws:
  `java.lang.InterruptedException`

#### interrupt

    public void interrupt()

Interrupts all computations. Raises an InterruptedException.